• English
  • Query Order Result

    Request Path

    /api/pos/order/queryResult

    Parameter List

    NameTypeLengthRequiredDescription
    orderIdString48YESMerchant unique order number
    bizTypeString32YESTransaction type, enumerated: Purchase

    Return Values

    NameTypeLengthRequiredDescription
    orderIdString48YESMerchant unique order number
    orderNoString48NOPalmpay unique order number
    bizTypeString32YESTransaction type, enumerated: Purchase
    amountLong-YESThe transaction amount needs to be amplified 100 times, such as 0.1N -> 10N
    tidString32NOChannel Tid
    midString32NOChannel Mid
    rrnString12NOunique rrn
    stanString6NOChannel stan
    authCodeString20NOAuthorization id
    statusInteger32YESOrder Status WAIT_NOTIFY(1) // Waiting for notification WAIT_PAY(2) // Waiting for payment PAYING(3) // Paying PAYED(4) // Paid CANCEL_PAY(5) // Cancel payment SUCCESS(6) // Business order successful FAIL(7) // Business order failed PENDING(8) // Business order pending
    channelRespCodeString2NOChannel response code
    remarkString256YESRemark
    acquirerString32NOAcquire Bank
    ptspString32NOPayment licence
    cardNoString20YESCard No
    snString32YESDevice Sn
    createTimeDateNoneYESOrder Create Time
    businessIdString32NOBusiness Id
    businessNameString32NOBusiness Name
    shopIdString32NOShop Id
    shopNameString32NOShop Name
    phoneString20NOPhone

    Common Error Codes

    Please refer to the document

    Postman Request Example

    request

    curl --location --request POST 'https://open-gw-sandbox.palmpay-inc.com/api/pos/order/queryResult' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer L240910133611075343802' \
    --header 'Signature: oRMwNDJSbCRcXbJlnWNNXc0F0b5aTd5gT5czLfUhyZCAxm6O9IuTIKQHAsIQNkPyaeEam5wfYGaJqhv/YVdDGxOBOIbSJ+RnJUrAt9QzBhMZxLQqLawLSf8x+t3wcKqMxItianKpY6m4Hsj/vUSXWSIJJLidxVLdEOnYswH6QnJom+u8LjeK0Prwh6qbK/mdvYhUezYKfkClk9T7l2iievvpIJlAZpYAc3Wmh/Lpe65EhZ7gvp/T0rPm2qB+q9ZuRRzLrwoq5Hix8aUtTlozTJFdoBr3ySdQVm472SLILKzVPRKvt+WGRAsgywJk70yPFTCk+nOsd48+9wLFXUcl4Q==' \
    --header 'Content-Type: application/json' \
    --data '{
        "orderId": "2025test001",
        "bizType": "Purchase",
        "requestTime": 1546857549088,
        "version": "V2.0",
        "nonceStr": "tXIUBaQUUip97xhymcgvndYo6oSAvQXP"
    }'

    response

    {
      "respCode": "00000000",
      "respMsg": "success",
      "data": {
        "orderId": "2025test001",
        "orderNo": null,
        "bizType": "Purchase",
        "amount": 100,
        "tid": null,
        "mid": null,
        "rrn": null,
        "stan": null,
        "authCode": null,
        "status": 5,
        "channelRespCode": null,
        "remark": null,
        "acquirer": null,
        "ptsp": null,
        "cardNo": null,
        "sn": "PBE5226U30494",
        "createTime": 1738825867993,
        "businessId": "123112303006271",
        "businessName": "caojiangling limited",
        "shopId": "224092509473031",
        "shopName": "caojiangling3",
        "phone": null
      }
    }